function [beta,Fmtot] = MF1(Lm, w, Eta, L1,EA)
%MF1 Summary of this function goes here
%   Detailed explanation goes here
x = Eta(1);%Surge motion
y = Eta(2);%Sway motion
fi = Eta(3);%Yaw motion
u = Eta(4);%Surge velocity
v = Eta(5);%Sway velocity
r = Eta(6);%Yaw angular velocity
%% elastic
a = (y-L1*sin(fi));%y dist from anchor to fairlead
b = (Lm+L1+x-L1*cos(fi));%x dist from anchor to fairlead
beta = atan(a/b);
dist = sqrt(a^2+b^2);%distance between anchor posi to fairlead
if dist>Lm
Fmtot = (dist-Lm)/Lm*EA;
else
    Fmtot = 0;
end
if b<0
    if a>0
        beta = -atan(a/b)+pi/2;
    else
        beta = -atan(b/a)-pi/2;
    end
end
end