function [Etad] = OEOM(t,Eta,Lm,L1,M,A,B ,EA,K, w)
%EOM Summary of this function goes here
%   Detailed explanation goes here
x = Eta(1);%Surge motion
y = Eta(2);%Sway motion
fi = Eta(3);%Yaw motion
u = Eta(4);%Surge velocity
v = Eta(5);%Sway velocity
r = Eta(6);%Yaw angular velocity
[Fx,Fy,Fxl,Fyl,AerMom] = OprWindForce(Eta);

% Fy = 0;
[beta,Fmtot] = MF2(Lm, w, Eta, L1,EA);

Mom_Right = Fyl*L1;%Fy*L1*cos(fi)-Fx*L1*sin(fi);%Righting Force Provided by Fair-Fmtot*sin(r-beta)*L1
F_ext = [Fx-Fmtot*cos(beta); Fy-Fmtot*sin(beta); Mom_Right+AerMom];
U = [x;y;fi];
Ud = [u;v;r];
Udd = (M+A)\(F_ext-B*Ud-K*U);
Etad = [Ud;Udd];
end