clear all; close all; clc;
file=['OprturAerod.dat'];
Aerof = importdata(file);

%% Local aerodynamic force
alpha = Aerof(:,1);

Ofx = Aerof(:,2);%Force on x' dir
Ofy = Aerof(:,3);%AeroForce on y' dir
Omom = Aerof(:,4);%AeroForce on y' dir
L1=-Omom./Ofy;

L1p = 75:5:170;
a1p = [-48 -45 -39 -30 -24 -20.7 -18.2 -16.3 -14.8 -13.5 -12.4 -11.5 -10.6 -9.9 -9.3 -8.75 -8.2 -7.7  -7.3 -6.85];

ML = [4 7 37 44 61 72];

plot(L1(28:48),alpha(28:48),'linewidth',2);
hold on
plot(L1p,a1p,'x');
% ylim([0 300])
ylabel('Stable yaw misalignment[deg]')
xlabel('L_F[m]')
grid on
legend('Linearised Model','SIMA')
set(gca,'YDir','reverse')


figure(2)
plot(75:5:100, ML)

%%

plot(t,y1,t,y2,t,y3)
legend('L_m=20m','L_m=28m','L_m=36m')
grid on
xlabel('Time[s]')
ylabel('Yaw motion[deg]')
