clear all;clc;
L1 = 0;
Lm =120;
w = 1550;
EA = 3.85e8;
Fmtot0 = 100;
x = -0.3:0.01:0.2;
x = Lm*(1+x);
for i = 1:length(x)
    dist=x(i);
    Fmtot = dist/(Lm/EA+2*1/w*asinh(w*Lm/2/Fmtot0));
    while abs (Fmtot0 - Fmtot)>1
     Fmtot0 = Fmtot;
     Fmtot = (dist)/(Lm/EA+2*1/w*asinh(w*Lm/2/Fmtot0));
%     Fmtot = EA/Lm*(dist-Fmtot0/w*asinh(w*Lm/2/Fmtot0));
    end
    force(i) = Fmtot;
end
semilogy(-0.3:0.01:0.2,force)
grid on
xlabel('Line deformation(L_d_i_s-L_m)/L_m')
ylabel('Tension[N]')